> For the complete documentation index, see [llms.txt](https://docs.powertable.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.powertable.com/explore-powertable/formulas-and-functions/conditional-statements/switch.md).

# SWITCH

Evaluates an expression against a list of values and returns one of multiple possible result expressions. The first matching value is returned. If there is no match, an optional default value is returned. This function can be used to avoid having multiple nested [IF ](/explore-powertable/formulas-and-functions/conditional-statements/if.md)statements.&#x20;

### Syntax

```javascript
SWITCH(expression,val1,res1,val2,res2,...,val_n,res_n,default)
```

### Arguments

expression – The expression or statement to be evaluated.

val1, val2, …, val\_n – The list of values to be compared against the expression.

res1, res2, …, res\_n – The result to be returned in case of a match.

default (Optional) – The default value to be returned if the expression does not match with any of the values in the argument list. This is an optional argument.

### **Return value**

The relevant result is returned when the expression matches the value; otherwise, a default result is provided if there is no match.

### **Example**

```javascript
SWITCH([AGE],30,"Young",55,"Old","Other")
```

Will return "Young" if the age is 30, "Old" if the age is 55, and "Other" for all other ages.

### **Excel equivalent**

[SWITCH](https://support.microsoft.com/en-us/office/switch-function-47ab33c0-28ce-4530-8a45-d532ec4aa25e)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.powertable.com/explore-powertable/formulas-and-functions/conditional-statements/switch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
